| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
PreStack::SetPickUndo Class Reference
PreStackProcessing

BinIDUndoEvent for PreStack pick. More...

`#include <prestackevents.h>`

Inheritance diagram for PreStack::SetPickUndo:
[legend]

## Public Member Functions
| SetPickUndo (EventManager &, const BinID &, int horidx, const OffsetAzimuth &, float depth, unsigned char pickquality)
| ~SetPickUndo ()
const BinID & | getBinID () const override
const char * | getStandardDesc () const override
bool | reDo () override
bool | unDo () override
Public Member Functions inherited from UndoEvent
virtual | ~UndoEvent ()
BufferString | getDesc () const
bool | isUserInteractionEnd () const
void | setDesc (const char *)
void | setUserInteractionEnd (bool=true)

## Protected Member Functions
bool | doWork (float, unsigned char)
Protected Member Functions inherited from UndoEvent
| UndoEvent ()

## Protected Attributes
const BinID | bid_
const int | horidx_
EventManager & | manager_
float | newdepth_
unsigned char | newquality_
const OffsetAzimuth | oa_
const float | olddepth_
const unsigned char | oldquality_
Protected Attributes inherited from UndoEvent
BufferString * | desc_
bool | isuserinteractionend_

## Detailed Description

BinIDUndoEvent for PreStack pick.

<>

## Constructor & Destructor Documentation

## ◆ SetPickUndo()

PreStack::SetPickUndo::SetPickUndo | ( | EventManager & | ,
|  | const BinID & | ,
|  | int | horidx,
|  | const OffsetAzimuth & | ,
|  | float | depth,
|  | unsigned char | pickquality )

## ◆ ~SetPickUndo()

PreStack::SetPickUndo::~SetPickUndo | ( |  | ) |

## Member Function Documentation

## ◆ doWork()

bool PreStack::SetPickUndo::doWork | ( | float | ,
|  | unsigned char | )
| protected

## ◆ getBinID()

const BinID & PreStack::SetPickUndo::getBinID | ( |  | ) | const
| inline override virtual

Reimplemented from BinIDUndoEvent.

## ◆ getStandardDesc()

const char * PreStack::SetPickUndo::getStandardDesc | ( |  | ) | const
| inline override virtual

Implements UndoEvent.

## ◆ reDo()

bool PreStack::SetPickUndo::reDo | ( |  | ) |
| override virtual

Implements UndoEvent.

## ◆ unDo()

bool PreStack::SetPickUndo::unDo | ( |  | ) |
| override virtual

Implements UndoEvent.

## Member Data Documentation

## ◆ bid_

const BinID PreStack::SetPickUndo::bid_
| protected

## ◆ horidx_

const int PreStack::SetPickUndo::horidx_
| protected

## ◆ manager_

EventManager& PreStack::SetPickUndo::manager_
| protected

## ◆ newdepth_

float PreStack::SetPickUndo::newdepth_
| protected

## ◆ newquality_

unsigned char PreStack::SetPickUndo::newquality_
| protected

## ◆ oa_

const OffsetAzimuth PreStack::SetPickUndo::oa_
| protected

## ◆ olddepth_

const float PreStack::SetPickUndo::olddepth_
| protected

## ◆ oldquality_

const unsigned char PreStack::SetPickUndo::oldquality_
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025